# MAC (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.mac
Interface MAC

All Known Implementing Classes:
  BaseMAC, HMACMD5, HMACMD596, HMACSHA1, HMACSHA196

    public interface MAC

Message Authentication Code for use in SSH. It usually wraps a javax.crypto.Mac class.

Method Summary
`byte[]` `doFinal()`
`byte[]` `doFinal(byte[] input)`
`void` `doFinal(byte[] buf, int offset)`
`int` `getBlockSize()`
`void` `init(byte[] key)`
`void` `update(byte[] foo)`
`void` `update(byte[] foo, int start, int len)`
`void` `update(long foo)`

Method Detail

### doFinal

    byte[] doFinal()

### doFinal

    byte[] doFinal(byte[] input)

### doFinal

    void doFinal(byte[] buf,
                 int offset)

### getBlockSize

    int getBlockSize()

### init

    void init(byte[] key)

### update

    void update(byte[] foo)

### update

    void update(byte[] foo,
                int start,
                int len)

### update

    void update(long foo)

Copyright © 2009-2011. All Rights Reserved.